! ===========================================================================================================
! integer function qc21_ns_unpumped_ctd.f90
!
! -----------------------------------------------------------------------------------------------------------
!
! Revision history
! date     who    what
! 20170712 all    Release of qcplus v1.1 - many changes to all, some documented/tracked, some not
! 20160511 all    Initial release of qcplus v1.1.0
!
! ===========================================================================================================
! Notes
!
! Function return values:
!  1 = Success, profile passed
! -1 = Failure, profile failed
!  0 = Unable to determine
!

integer function qc21_ns_unpumped_ctd(caller)

use communication                       ! module
use data_arrays                         ! module

implicit none

! ===========================================================================================================
! varialbe/array declarations

character(*), intent( in ) :: caller

character(len=4), parameter :: sub = 'QC21'
character(len=21) ,parameter :: QCTEST='NS_Unpumped_CTD Test'
integer :: result;

integer :: ifl, itype, beg, end;
integer :: ngood,nbad,nskip;

! ===========================================================================================================
! executable statements

result = NOTD; ! "can not be determined."

if(DBGIO) call dbg_enter_type(sub,parmname(itype));

if(DEBUG)then; write(msg,'(a," ",a," is NOT currently needed.")')sub,QCTEST; call wrtdbg(sub,msg); endif

999 continue; ! THE_END

if(DBGIO) call dbg_leave(sub,result);

! The result to return to the main is based on the first data field - pres/temp/psal/doxy for primary profile

qc21_ns_unpumped_ctd = result;

return
end function qc21_ns_unpumped_ctd
! ===========================================================================================================
